Subject: Wanted: Tortilla Press

From: [email-masked] (John Sugg)
Date: Wed, 19 May 1993 13:26:00 GMT

Hi,
Could anyone tell me where I can find a tortilla press? None of the
stores in my area have them. An address of a kitchen mail order house
that has them would be helpful. Also what are the price ranges? What's
a good brand to look for?
Any information would be appreciated.
.
.
.
.
--
JOHN SUGG                                                               00010001
YELLOW HAMMER FORGE                                                     00020001
WAVERLY,ALABAMA USA                                                     00030001
.                                                                       00040001
"I didn't vote for him ....Did you?...." The Prophet of LoblokeeCreek.  00050001
.                                                                       00060001